%define name	ocaml-camomile
%define version	0.7.2
%define release	%mkrel 2
%define epoch 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:          %{epoch}
Summary:    Unicode library for OCaml
Group:      Development/Other
# Several files are MIT and UCD licensed, but the overall work is LGPLv2+
# and the LGPL/GPL supercedes compatible licenses.
# https://www.redhat.com/archives/fedora-legal-list/2008-March/msg00005.html
License:        LGPLv2+
URL:            http://sourceforge.net/projects/camomile/
Source0:        http://downloads.sourceforge.net/camomile/camomile-%{version}.tar.bz2
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Camomile is a Unicode library for ocaml. Camomile provides Unicode
character type, UTF-8, UTF-16, UTF-32 strings, conversion to/from
about 200 encodings, collation and locale-sensitive case mappings, and
more.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        data
Summary:        Data files for %{name}
Group:          Development/Other
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    data
The %{name}-data package contains data files for developing
applications that use %{name}.

%prep
%setup -q -n camomile-%{version}

%build
./configure --prefix=%{_prefix} --datadir=%{_datadir} --libdir=%{_libdir}
make
make dochtml
make man
strip tools/*.opt

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_libdir}/ocaml
install -d -m 755 %{buildroot}%{_libdir}/ocaml/stublibs
install -d -m 755 %{buildroot}%{_bindir}
make install \
    prefix=%{buildroot}%{_prefix} \
    DATADIR=%{buildroot}%{_datadir} \
    DESTDIR=%{buildroot} \
    OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml

pushd tools
for f in *.opt ; do  install -m 0755 $f %{buildroot}%{_bindir}/${f%.opt} ; done
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%dir %{_libdir}/ocaml/camomile
%{_libdir}/ocaml/camomile/*.cmi
%{_libdir}/ocaml/camomile/*.cma
%{_libdir}/ocaml/camomile/META
%{_bindir}/camomile*
%{_bindir}/parse_*

%files devel
%defattr(-,root,root)
%doc README dochtml/*
%{_libdir}/ocaml/camomile/*.a
%{_libdir}/ocaml/camomile/*.cmx
%{_libdir}/ocaml/camomile/*.cmxa
%{_libdir}/ocaml/camomile/*.mli

%files data
%defattr(-,root,root)
%doc README
%{_datadir}/camomile


%changelog
* Tue Mar 15 2011 saispo <saispo> 1:0.7.2-2.mga1
+ Revision: 72180
- Fix Epoch and Bump Release

* Tue Mar 15 2011 saispo <saispo> 1:0.7.2-1.mga1
+ Revision: 71897
- Go backward on 0.7.2

* Mon Mar 07 2011 saispo <saispo> 0.8.1-1.mga1
+ Revision: 66246
- imported package ocaml-camomile

